TIREX-RENDERING-CONTROL(1)

NAME
tirex-rendering-control - send messages to control rendering

SYNOPSIS
tirex-rendering-control [OPTIONS] [BUCKET...]

OPTIONS

-h, --help
    Display help message.

-d, --debug
    Run in debug mode.

-c, --config=DIR
    Use the config directory DIR instead of /etc/tirex.

--stop
    Send stop_rendering_bucket commands to tirex-master for each bucket given on the command line. If no bucket was specified, it is send for all buckets except the one containing the priority 1, which is usually the one getting live requests from the web server. You can specify the special bucket name 'ALL' to send the command for all buckets.

--continue
    Send continue_rendering_bucket commands to tirex-master for each bucket given on the command line. If no bucket was specified (or "ALL"), it is send for all buckets.

DESCRIPTION
Sometimes you want to stop rendering tiles temporarily for some reason. For instance because you want to update the database, re-start the rendering daemon or do some resource-intensive job on the machine that would conflict with rendering.

This command sends the running tirex-master commands to stop (or continue) rendering for the specified buckets.

When using --stop, this command will block and wait for currently rendering tiles to be finished. So when the command returns (with return code 0) you can be sure that you can do whatever you want to do without the rendering interfering.

FILES

/etc/tirex/tirex.conf
    The configuration file.

DIAGNOSTICS
tirex-rendering-control returns

0 if everything was alright,
3 if the server could not be reached,
4 if there was an error parsing the command line.

SEE ALSO
<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.